## ros-one-hector-marker-drawing 0.5.2-6jammy.20251022.2357

=== debian/changelog ===
ros-one-hector-marker-drawing (0.5.2-6jammy.20251022.2357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 22 Oct 2025 23:57:52 +0000

ros-one-hector-marker-drawing (0.5.2-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-marker-drawing (0.5.1-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-marker-drawing (0.5.0-0jammy) jammy; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-marker-drawing (0.4.1-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.6-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.5-0jammy) jammy; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.4-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.3-0jammy) jammy; urgency=high

  * fixed cmake find for eigen in indigo
  * Contributors: Alexander Stumpf

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.2-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.1-0jammy) jammy; urgency=high

  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.0-0jammy) jammy; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

## ros-one-hector-marker-drawing 0.5.2-6jammy.20260220.2058

=== debian/changelog ===
ros-one-hector-marker-drawing (0.5.2-6jammy.20260220.2058) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 20 Feb 2026 20:58:37 +0000

## ros-one-hector-marker-drawing 0.5.2-6noble.20251022.2355

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hector_marker_drawing)

find_package(catkin REQUIRED COMPONENTS roscpp visualization_msgs)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp visualization_msgs
  DEPENDS EIGEN3
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-one-hector-marker-drawing (0.5.2-6noble.20251022.2355) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 22 Oct 2025 23:55:38 +0000

ros-one-hector-marker-drawing (0.5.2-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-marker-drawing (0.5.1-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-marker-drawing (0.5.0-0noble) noble; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-marker-drawing (0.4.1-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.6-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.5-0noble) noble; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.4-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.3-0noble) noble; urgency=high

  * fixed cmake find for eigen in indigo
  * Contributors: Alexander Stumpf

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.2-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.1-0noble) noble; urgency=high

  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-hector-marker-drawing (0.3.0-0noble) noble; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-hector-marker-drawing
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-catkin, ros-one-roscpp, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/hector_marker_drawing
Standards-Version: 3.9.2

Package: ros-one-hector-marker-drawing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-roscpp, ros-one-visualization-msgs
Description: hector_marker_drawing provides convenience functions for easier publishing of visualization markers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-hector-marker-drawing//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-hector-marker-drawing 0.5.2-6noble.20260220.2102

=== debian/changelog ===
ros-one-hector-marker-drawing (0.5.2-6noble.20260220.2102) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 20 Feb 2026 21:02:06 +0000
